## python-psycogreen 1.0.1

=== tests/requirements.txt ===
six
pytest
gevent
eventlet
psycopg2

## python-psycogreen 1.0

=== debian/changelog ===
python-psycogreen (1.0-1) unstable; urgency=low

  * Initial release (Closes: #782367).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 12 Apr 2015 07:20:08 +1000

=== debian/control ===
Source: python-psycogreen
Section: python
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools
X-Python-Version: >= 2.7
Standards-Version: 3.9.6
Homepage: https://pypi.python.org/pypi/psycogreen
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/python-psycogreen.git
Vcs-Git: git://anonscm.debian.org/collab-maint/python-psycogreen.git

Package: python-psycogreen
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-psycopg2
Enhances: python-psycopg2
Description: psycopg2 integration with coroutine libraries
 This package enables "psycopg2" to work with coroutine libraries, using
 asynchronous calls internally but offering a blocking interface so that
 regular code can run unmodified.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	set -e \
#	;LLIBPATH="$(CURDIR)" \
#	;for python in $(shell pyversions -r); do \
#	    for test in $(wildcard ./tests/t*.py); do \
#	        PYTHONPATH="$${LIBPATH}:$(PYTHONPATH)" \
#	        $$python $${test} \
#	    ;done \
#	;done
#endif

=== debian/watch ===
# uscan(1) configuration file.
version=3

opts=\
filenamemangle=s{.*/([^/#]+)#md5=[0-9a-f]+}{$1},\
 https://pypi.python.org/simple/psycogreen/ \
 .*/psycogreen-(\d[\d\.]+)\.tar\.(?:gz|bz2|xz)(?:#md5=[0-9a-f]+)

 http://pypi.debian.net/psycogreen/psycogreen-(\d[\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-psycogreen 1.0.1

=== debian/changelog ===
python-psycogreen (1.0.1-1) unstable; urgency=medium

  * Converted to Python3 (Closes: #938051)
  * New upstream release
  * VCS URLs to Salsa
  * DH to version 12
  * Standards-Version: 4.4.1
  * Testsuite: autopkgtest-pkg-python

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 25 Dec 2019 20:26:55 +1100

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export PYBUILD_NAME=psycogreen
+
 %:
-	dh $@ --with python2
+	dh $@ --with python3 --buildsystem=pybuild
 
 #override_dh_auto_test:
 #ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
# uscan(1) configuration file.
version=3

opts=\
filenamemangle=s{.*/([^/#]+)#md5=[0-9a-f]+}{$1},\
 https://pypi.python.org/simple/psycogreen/ \
 .*/psycogreen-(\d[\d\.]+)\.tar\.(?:gz|bz2|xz)(?:#md5=[0-9a-f]+)

 https://pypi.debian.net/psycogreen/psycogreen-(\d[\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
